/*
----------
Fonts
----------
*/
@font-face {
  font-family: 'Doran-bold';
  src: url('./fonts/Doran-ExtraBold.ttf') format('truetype');
}

@font-face {
  font-family: 'Doran';
  src: url('./fonts/Doran-Medium.ttf') format('truetype');
}

@font-face {
  font-family: 'Doran-thin';
  src: url('./fonts/Doran-Thin.ttf') format('truetype');
}

/*
----------
General Styles
----------
*/
:root {
  --sabz: #064439;
  --kerem: #f7e7d7;
  --small-size: 0.75rem;
  --normal-size: 1rem;
  --title-size: 1.5rem;
}

@media only screen and (min-width: 600px) {
  
  :root {
    --title-size: 1.75rem;
    --normal-size: 1.1rem;
    --small-size: 0.85rem;
  }
  
}

@media only screen and (min-width: 992px) {

  :root {
    --title-size: 2rem;
    --normal-size: 1.25rem;
    --small-size: 0.9rem;
  }
  
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: var(--kerem);
  position: relative;
  font-family: Doran;
}

img {
  width: 100%;
  display: block;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

.title {
  font-family: Doran-bold;
  font-size: var(--title-size);
}

.center {
  padding: 3rem 1rem;
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
}

@media only screen and (min-width: 500px) {
  
  .center {
    padding: 4rem 1.5rem;
  }
  
}

@media only screen and (min-width: 768px) {
  
  .center {
    padding: 4rem 2rem;
  }
  
}

@media only screen and (min-width: 1100px) {

  .center {
    padding: 4rem 0;
  }
  
}

/*
----------
Window Onload
----------
*/
.load-logo {
  padding: 0.25rem;
  font-size: 1.25rem;
  font-weight: 900;
  position: fixed;
  top: 0.5rem;
  left: 50%;
  transform: translateX(-50%);
  color: var(--sabz);
  user-select: none;
  animation: load-effect 2s;
  z-index: 21;
}

@keyframes load-effect {
  
  0% {
    font-size: 0.25rem;
    top: 50dvh;
  }
  85% {
    font-size: 1.25rem;
    top: 50dvh;
  }
  100% {
    font-size: 1.25rem;
    top: 0.5rem;
  }

}

.blank {
  width: 100%;
  height: 100%;
  position: fixed;
  top: -100%;
  left: 0;
  background: var(--kerem);
  z-index: 20;
  opacity: 0;
  animation: blank 2.5s;
}

@keyframes blank {
  0% {
    top: 0;
    opacity: 1;
  }

  85% {
    top: 0;
    opacity: 1;
  }

  100% {
    top: 0;
    opacity: 0;
    display: none;
  }
}

@media only screen and (min-width: 768px) {

  .load-logo,
  .blank {
    display: none;
  }

}

/*
----------
Menu Button
----------
*/
.menu-btn {
  position: fixed;
  top: 0.80rem;
  right: 1rem;
  padding: 0.25rem;
  cursor: pointer;
  z-index: 20;
  animation: load 2.5s;
}

.menu-btn > * {
  width: 25px;
  height: 4px;
  margin: 3px 0;
  background-color: var(--sabz);
  border-radius: 1rem;
  transition: 0.4s ease;
}

.menu-btn.active > * {
  background: var(--kerem);
}

.active .bar1 {
  transform: translate(0, 7px) rotate(-45deg);
}

.active .bar2 {
  opacity: 0;
}

.active .bar3 {
  transform: translate(0, -7px) rotate(45deg);
}

@media only screen and (min-width: 768px) {

  .menu-btn {
    display: none;
    animation: none;
  }

}

/*
----------
Navbar
----------
*/
.navbar {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: var(--kerem);
  z-index: 10;
  transition: 0.2s ease;
  box-shadow: 0 0 0.5rem transparent;
}

.navbar.shadow {
  box-shadow: 0 0 0.5rem var(--sabz);
}

.navbar .center {
  padding: 0.5rem 1.5rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  transition: padding 0.3s ease;
}

.navbar .menu-btn {
  position: static;
  opacity: 0;
}

.navbar .number-con {
  padding: 0.5rem;
  font-size: 1rem;
  color: var(--sabz);
  font-family: Kalameh;
  font-weight: 500;
}

.navbar .number { 
  display: none;
}

.navbar .links {
  display: none;
}

.navbar .li {
  padding-left: 2rem;
}

.navbar .link {
  font-size: 1rem;
  color: var(--sabz);
  position: relative;
}

.navbar .link::after {
  width: 0;
  height: 1px;
  content: '';
  position: absolute;
  top: 100%;
  right: 0;
  background-color: var(--sabz);
  transition: 0.3s ease;
}

.navbar .link.active::after,
.navbar .link:hover::after {
  width: 100%;
}

.navbar .nav-logo {
  font-family: Doran-bold;
  font-size: 1.25rem;
}

.navbar .nav-logo::after {
  display: none;
}

@media only screen and (min-width: 768px) {
  
  .navbar .center {
    padding: 1rem 1.5rem;
  }

  .navbar .links {
    display: flex;
    align-items: center;
  }

  .navbar .number-con {
    padding: 0.25rem 1rem;
    background: var(--sabz);
    color: var(--kerem);
    border-radius: 0.5rem;
  }

}

@media only screen and (min-width: 1050px) {

  .navbar .center {
    padding: 1.5rem 0;
  }

  .navbar .center.smalled {
    padding: 1rem 0;
  }

  .navbar .number {
    display: inline;
  }
  
}

/*
----------
Sidebar
----------
*/
.sidebar {
  width: 300px;
  height: 100dvh;
  padding: 2rem 1rem;
  padding-top: 10rem;
  position: fixed;
  top: 0;
  right: 0;
  transform: translate(300px);
  background: var(--sabz);
  transition: 0.3s ease;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  z-index: 11;
}

.sidebar.active {
  transform: translate(0);
  box-shadow: -5px 0 20px var(--sabz);
}

.sidebar .links {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.sidebar .li {
  width: 100%;
}

.sidebar .link {
  display: block;
  padding: 1rem 0.5rem;
  color: var(--kerem);
  transition: 0.3s ease;
}

.sidebar .link.active {
  border-right: 2px solid var(--kerem);
}

.sidebar .link:hover,
.sidebar .link.active {
  padding-right: 1.5rem;
  font-family: Doran-bold;
}

.sidebar .mini-contact {
  display: flex;
  flex-direction: column;
}

.sidebar .number {
  padding: 0.25rem 0.5rem;
  background: var(--kerem);
  color: var(--sabz);
  border-radius: 0.5rem;
  font-family: Doran;
  direction: ltr;
}

.sidebar .studio-name {
  padding-right: 0.5rem;
  color: var(--kerem);
  font-family: Doran-thin;
}

@media only screen and (max-height: 650px) {
  
  .sidebar {
    padding: 1rem;
    padding-top: 5rem;
  }
  
}

/*
----------
Header
----------
*/
header {
  width: 100%;
  height: calc(100dvh - 91px);
  margin-top: 66px;
  border-radius: 0.5rem;
  animation:  load 2.5s;
  background: var(--kerem);
  position: relative;
}

header .center {
  display: flex;
  flex-direction: column;
  align-items: center;
}

header .slideshow {
  width: 100%;
  padding: 0 1rem;
  height: calc(100dvh - 50dvh);
  overflow: hidden;
}

header .slideshow .slide {
  height: 100%;
  animation: fade 1s;
}

@keyframes fade {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

header .slideshow .image {
  height: 100%;
  border-radius: 1rem;
  object-fit: cover;
}

header .video {
  width: 100%;
  height: calc(100dvh - 291px);
  object-fit: cover;
  display: none;
}

header .off-mute {
  padding: 0.5rem 1rem;
  position: absolute;
  right: 1rem;
  bottom: 1rem;
  background: var(--kerem);
  color: var(--sabz);
  border: 1px solid var(--sabz);
  outline: none;
  border-radius: 0.5rem;
  cursor: pointer;
  font-family: Doran;
  display: none;
}

header .content {
  width: 100%;
  height: calc(50dvh - 91px);
  padding: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}

header .titles {
  display: flex;
  flex-direction: column;
  align-items: center;
}

header .title {
  font-size: 2rem;
  color: var(--sabz);
  border-bottom: 1px solid var(--sabz);
  margin-bottom: 0.5rem;
}

header .small-title {
  color: var(--sabz);
  font-size: 0.8rem;
}

header .text {
  width: 80%;
  color: var(--sabz);
  text-align: center;
}

header .btn {
  padding: 0.5rem 1rem;
  border: none;
  outline: none;
  border-radius: 0.5rem;
  color: var(--kerem);
  background: var(--sabz);
  font-size: 1rem;
  font-family: Doran;
  cursor: pointer;
}

@media only screen and (max-height: 750px) {

  header .slideshow {
    height: calc(100dvh - 60dvh);
  }

  header .content {
    height: calc(60dvh - 91px);
  }
  
  header .title {
    font-size: 1.5rem;
  }

  header .small-title {
    font-size: 0.75rem;
  }

  header .text {
    font-size: 0.75rem;
  }

  header .btn {
    padding: 0.25rem 0.5rem;
    font-size: 0.75rem;
  }
  
}

@media only screen and (min-width: 768px) {
  
  header .slideshow {
    display: none;
  }

  header .video {
    display: block;
  }

  header .content {
    flex-direction: row;
    height: 200px;
  }

  header .text {
    width: 40%;
    text-align: right;
  }

}

@media only screen and (min-width: 1050px) {

  header {
    height: calc(100dvh - 107px);
    margin-top: 82px;
  }

  header .video {
    height: calc(100dvh - 307px);
  }

  header .text {
    width: 50%;
  }
  
}

/*
----------
Image Gallery
----------
*/
.image-gallery {
  padding: 0 1rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 0.25rem;
}

.image-gallery .image-con img {
  /* padding: 0.1rem; */
  height: 45vw;
  object-fit: cover;
  border-radius: 0.75rem;
}

@media only screen and (min-width: 600px) {

  .image-gallery {
    grid-template-columns: repeat(3, 1fr);
    gap: 0.5rem;
  }

  .image-gallery .image-con img {
    height: 30vw;
  }
  
}

@media only screen and (min-width: 768px) {
  
  .image-gallery {
    padding: 0 1.5rem;
  }
  
}

@media only screen and (min-width: 1000px) {
  
  .image-gallery .image-con img {
    height: 333px;
  }
  
}

@media only screen and (min-width: 1050px) {

  .image-gallery {
    padding: 0;
  }

}

/*
----------
Our Team
----------
*/
.our-team {
  margin-top: 5rem;
  background: var(--sabz);
}

.our-team .titles {
  padding: 0 0.5rem;
  margin-bottom: 3rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.our-team .title {
  color: var(--kerem);
  font-size: var(--title-size);
}

.our-team .mini-title {
  font-size: var(--small-size);
  color: var(--kerem);
}

.our-team .members {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 0.5rem;
}

.our-team .member {
  padding: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: var(--kerem);
  border-radius: 0.5rem;
  border: 1px solid transparent;
  transition: 0.2s ease;
}

.our-team .member:hover {
  background: var(--sabz);
  border-color: var(--kerem);
}

.our-team .member:hover .member-name,
.our-team .member:hover .member-work {
  color: var(--kerem);
  border-color: var(--kerem);
}

.our-team .member-image {
  width: 7.5rem;
  height: 7.5rem;
  border-radius: 50%;
}

.our-team .member-name {
  width: 90%;
  text-align: center;
  color: var(--sabz);
  font-size: var(--normal-size);
  margin-top: 2rem;
  border-bottom: 1px solid var(--sabz);
}

.our-team .member-work {
  color: var(--sabz);
  opacity: 0.75;
  font-size: var(--small-size);
}

@media only screen and (max-width: 360px) {

  .our-team .member-image {
    width: 6rem;
    height: 6rem;
  }

  .our-team .member-name {
    font-size: 0.9rem;
  }

  .our-team .member-work {
    font-size: 0.6rem;
  }
  
}

@media only screen and (min-width: 600px) {

  .our-team .members {
    grid-template-columns: repeat(3, 1fr);
  }

  .our-team .member-image {
    width: 9rem;
    height: 9rem;
  }

}

@media only screen and (min-width: 768px) {

  .our-team .titles {
    flex-direction: row;
    justify-content: space-between;
  }
  
}

@media only screen and (min-width: 900px) {

  .our-team .members {
    grid-template-columns: repeat(4, 1fr);
  }

  .our-team .member-image {
    width: 10rem;
    height: 10rem;
  }

}

/*
----------
Success
----------
*/
.success {
  background: var(--kerem);
}

.success .center {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
}

.success .column {
  width: 100%;
  height: 100%;
  padding: 0.5rem;
  place-self: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  border-radius: 0.5rem;
}

.success .column .icon {
  border-radius: 0.5rem;
  font-size: 3rem;
  color: var(--sabz);
}

.success .column .text {
  width: 80%;
  font-size: 0.75rem;
  color: var(--sabz);
}

@media only screen and (min-width: 600px) {

  .success .center {
    grid-template-columns: repeat(3, 1fr);
  }
  
  .success .column .icon {
    font-size: 4rem;
  }

  .success .column .text {
    font-size: 0.9rem;
  }
  
}

@media only screen and (min-width: 768px) {

  .success .center {
    grid-template-columns: repeat(4, 1fr);
  }
  
  .success .column .icon {
    font-size: 5rem;
  }

  .success .column .text {
    font-size: 1rem;
  }
  
}

/*
----------
Get Price
----------
*/
.get-price {
  padding-top: 3rem;
  background: var(--kerem);
  color: var(--sabz);
}

.get-price .item-name {
  margin-top: 1rem;
  margin-bottom: 0.5rem;
}

.get-price .row {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.get-price .column {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.get-price .disabled {
  width: 80%;
  display: flex;
  flex-direction: column;
  border: 1px solid var(--sabz);
  border-radius: 0.5rem;
  position: relative;
  user-select: none;
}

.get-price .item,
.get-price .item-con {
  padding: 1rem;
  border-radius: 0.5rem;
  user-select: none;
}

.get-price .item:hover {
  background: var(--sabz);
  color: var(--kerem);
}

.get-price .disabled > ul {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  border-radius: 0.5rem;
  border: 1px solid var(--sabz);
  background-color: var(--kerem);
  z-index: 10;
  display: none;
}

.get-price .pakage-con .item {
  padding-right: 3rem;
  position: relative;
}

.get-price .pakage-con .item::after {
  content: '';
  width: 1.5rem;
  height: 1.5rem;
  position: absolute;
  top: 1rem;
  right: 0.75rem;
  border: 1px solid var(--sabz);
  border-radius: 0.5rem;
}

.get-price .pakage.check::after {
  content: '';
  width: 1.5rem;
  height: 1.5rem;
  position: absolute;
  top: 1rem;
  right: 0.75rem;
  background: var(--sabz);
  border-radius: 0.5rem;
}

.get-price .type-con.active,
.get-price .pakage-con.active,
.get-price .type-con.active {
  display: block;
}

.get-price .disabled.active {
  border-color: transparent;
}

/*
----------
FAQ
----------
*/
.FAQ {
  background: var(--kerem);
}

.FAQ .title {
  display: block;
  text-align: center;
  color: var(--sabz);
}

.FAQ .questions {
  margin-top: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}

.FAQ .question {
  width: 100%;
  padding: 1.5rem;
  border: 1px solid var(--sabz);
  border-radius: 0.5rem;
  cursor: pointer;
  color: var(--sabz);
  user-select: none;
  font-size: var(--small-size);
}

.FAQ .question .text {
  margin-top: 1rem;
  text-align: justify;
  display: none;
}

.FAQ .question.show .text {
  display: block;
}

.FAQ .question .link {
  padding: 0 0.25rem;
  margin: 0 0.5rem;
  background: var(--sabz);
  color: var(--kerem);
}

.FAQ .question .number {
  margin: 0 0.5rem;
  direction: ltr;
  color: var(--sabz);
  font-family: Doran-bold;
}

.FAQ .question .number:hover {
  text-decoration: underline;
}

/*
----------
Footer
----------
*/
footer {
  padding: 2rem 1.5rem;
  background: var(--sabz);
  position: relative;
}

footer .center {
  padding-block: 1rem;
  display: grid;
  grid-template-areas:
    'about'
    'address'
    'contact'
    'social';
  text-align: center;
  gap: 1.5rem;
}

footer .title {
  font-size: var(--normal-size);
  color: var(--kerem);
  display: inline-block;
  margin-bottom: 0.5rem;
}

footer .text {
  font-size: var(--small-size);
  color: var(--kerem);
}

footer .about .text {
  text-align: justify;
}

footer .contact .text {
  direction: ltr;
}

footer .contact .number {
  letter-spacing: 0.1rem;
  padding-right: 1rem;
}

footer .socials {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 0.25rem;
}

footer .social {
  padding: 0.25rem 0.5rem;
  border-radius: 0.25rem;
  color: var(--sabz);
  font-size: var(--small-size);
  background: var(--kerem);
  text-align: center;
}

footer .studio {
  color: var(--kerem);
  font-size: var(--small-size);
  font-family: Doran-bold;
  display: none;
}

footer .bottom {
  position: absolute;
  bottom: 1rem;
  left: 50%;
  transform: translateX(-50%);
  font-size: 0.5rem;
  color: var(--kerem);
}

footer .about {grid-area: about;}
footer .address {grid-area: address;}
footer .contact {grid-area: contact;}
footer .social-media {grid-area: social;}

@media only screen and (max-width: 500px) {

  footer .bottom {
    width: 100%;
    text-align: center;
  }
  
}

@media only screen and (min-width: 500px) {

  footer {
    padding: 2.5rem 1.5rem;
  }
  
  footer .center {
    grid-template-areas:
      'about address'
      'about contact'
      'social social';
    text-align: right;
    column-gap: 2rem;
  }
  
}

@media only screen and (min-width: 768px) {

  footer {
    padding: 3rem 2rem;
  }

  footer .center {
    grid-template-areas: 
      'about address social'
      'about contact social';
  }

  footer .socials {
    grid-template-columns: repeat(1, 1fr);
  }

  footer .text {
    width: 90%;
  }

  footer .bottom {
    font-size: 0.6rem;
  }
  
}

@media only screen and (min-width: 992px) {

  footer .bottom {
    font-size: 0.7rem;
  }

}